package ch.hevs.isi.core;
import ch.hevs.isi.core.DataPointListener;
import ch.hevs.isi.db.DatabaseConnector;
import ch.hevs.isi.field.FieldConnector;
import ch.hevs.isi.web.WebConnector;

public class BooleanDataPoint extends DataPoint{
    private boolean value;

    public BooleanDataPoint(String label, boolean isOutput) {
        super(label, isOutput);
    }
    public void setValue(boolean value){
        this.value = value;
        if (getDataPointFromLabel(this.getLabel()) == null){
            this.update(true);
        } else {
            this.update(false);
        }
    }
    public boolean getValue(){
        return this.value;
    }

    public String toString(){
        String s;
        s = this.getLabel();
        s += "=";
        s += this.getValue() ? "1" : "0";
        return s;
    }
}
